package ink.wgink.gateway.controller.api.route;

import ink.wgink.gateway.dao.route.IRouteDao;
import ink.wgink.gateway.pojo.ListPage;
import ink.wgink.gateway.pojo.dtos.route.RouteDTO;
import ink.wgink.gateway.pojo.result.SuccessResult;
import ink.wgink.gateway.pojo.result.SuccessResultList;
import ink.wgink.gateway.pojo.vos.route.RouteVO;
import ink.wgink.gateway.service.route.IRouteService;
import ink.wgink.gateway.util.ReflectUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: RouteController
 * @Description: 路由
 * @Author: wanggeng
 * @Date: 2021/4/13 6:41 下午
 * @Version: 1.0
 */
@RestController("sys/route")
public class RouteController {

    @Autowired
    private IRouteService routeService;

    @PostMapping("save")
    public SuccessResult save(@RequestBody RouteVO routeVO) throws ReflectUtil.ReflectException {
        routeService.save(routeVO);
        return new SuccessResult();
    }

    @GetMapping("list")
    public SuccessResultList<List<RouteDTO>> listPage(ListPage page) {
        return routeService.listPage(page);
    }

}
