package ink.wgink.gateway.dao;

import ink.wgink.gateway.pojo.BasePOJO;
import ink.wgink.gateway.util.DateUtil;
import ink.wgink.gateway.util.UUIDUtil;
import org.springframework.data.mongodb.core.query.Update;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: BaseDao
 * @Description: dao接口
 * @Author: wanggeng
 * @Date: 2021/4/13 5:56 下午
 * @Version: 1.0
 */
public class BaseDao {

    public static final String CREATOR = "creator";
    public static final String MODIFIER = "modifier";
    public static final String GMT_CREATE = "gmtCreate";
    public static final String GMT_MODIFIED = "gmtModified";

    protected void setSave(BasePOJO base) {
        String datetime = DateUtil.getTime();
        base.setUuid(UUIDUtil.getUUID());
        base.setCreator("1");
        base.setGmtCreate(datetime);
        base.setModifier("1");
        base.setGmtModified(datetime);
    }

    protected void setUpdate(Update update) {
        update.set(GMT_MODIFIED, DateUtil.getTime());
        update.set(MODIFIER, "1");
    }

    protected int getLimit(int size) {
        return size;
    }

    protected long getSkip(int page, int size) {
        return (page - 1) * size;
    }

}
