package ink.wgink.gateway.dao;

import ink.wgink.gateway.pojo.BasePOJO;

import java.util.List;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IBaseDao
 * @Description:
 * @Author: wanggeng
 * @Date: 2021/4/13 6:29 下午
 * @Version: 1.0
 */
public interface IBaseDao<PO extends BasePOJO, DTO extends BasePOJO> {

    /**
     * 新增
     *
     * @param po
     */
    void save(PO po);

    /**
     * 删除
     *
     * @param ids
     */
    void remote(List<String> ids);

    /**
     * 修改
     *
     * @param id
     * @param po
     */
    void update(String id, PO po);

    /**
     * 详情
     *
     * @param id
     * @return
     */
    <DTO> DTO get(String id);

    /**
     * 列表
     *
     * @param page
     * @param size
     * @return
     */
    <DTO> List<DTO> list(int page, int size);

    /**
     * 统计
     *
     * @return
     */
    Long count();

}
