package ink.wgink.gateway.service.route.impl;

import ink.wgink.gateway.dao.route.IRouteDao;
import ink.wgink.gateway.pojo.ListPage;
import ink.wgink.gateway.pojo.dtos.route.RouteDTO;
import ink.wgink.gateway.pojo.pos.route.RoutePO;
import ink.wgink.gateway.pojo.result.SuccessResultList;
import ink.wgink.gateway.pojo.vos.route.RouteVO;
import ink.wgink.gateway.service.BaseService;
import ink.wgink.gateway.service.route.IRouteService;
import ink.wgink.gateway.util.ReflectUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: RouteServiceImpl
 * @Description: 路由
 * @Author: wanggeng
 * @Date: 2021/4/13 6:42 下午
 * @Version: 1.0
 */
@Service
public class RouteServiceImpl extends BaseService implements IRouteService {

    @Autowired
    private IRouteDao routeDao;

    @Override
    public void save(RouteVO routeVO) throws ReflectUtil.ReflectException {
        routeDao.save(ReflectUtil.beanToBean(routeVO, RoutePO.class));
    }

    @Override
    public SuccessResultList<List<RouteDTO>> listPage(ListPage page) {
        List<RouteDTO> routeDTOs = routeDao.list(page.getPage(), page.getSize());
         Long count = routeDao.count();
        return new SuccessResultList<>(routeDTOs, page.getPage(), count);
    }
}
